package gov.va.med.mpn;

import static org.junit.Assert.assertTrue;
import gov.va.med.mpn.dao.interfaces.ClassificationDAO;
import gov.va.med.mpn.entity.pojo.Classification;

import java.util.List;

import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

public class ClassesTest extends AbstractTestDAO{
	
		
		@Autowired
		protected ClassificationDAO classificationDao;
		

		  /** The slf4j logger. */
		private final Logger slf4jLogger = LoggerFactory.getLogger(ClassesTest.class);
		
		@Test
		public void findCodedControlData(){
			
			List<Classification> classes = classificationDao.findAllClassesSorted();
			
			slf4jLogger.debug("Classification Size:"+classes.size());
			assertTrue("Classifications size should be greater than one", classes.size() > 1);
						
		}
		


}
